.page.password-generator .security-promo__inner {
  display: flex;
  gap: 16px;
  background: #0f151c;
  align-items: center;
  padding: 8px;
  border-radius: 6px;
  color: #fff;
}

.page.password-generator .header__content {
  align-items: center;
}

.header__links {
  justify-content: flex-end !important;
}

.is-light-mode .page.password-generator .security-promo__inner {
  background: #fff;
  color: #2a3541b2;
  box-shadow: 0px 8px 16px -6px #18274b14;
}

.page.password-generator .security-promo__icon {
  /*margin-right: 16px;*/
}

.page.password-generator .security-promo__title {
  font-weight: 500;
  color: #fff;
  font-style: normal;
}

.is-light-mode .page.password-generator .security-promo__title {
  color: #1d1d1b;
}

.page.password-generator .security-promo__description {
  opacity: 0.6;
  font-size: 12px;
  line-height: 14px;
}

.is-light-mode .security-promo__description {
  opacity: 0.7;
}

.page.password-generator .security-promo__button {
  margin-left: auto;
  border-radius: 6px;
  background: #00a88e;
  font-weight: 600;
  font-size: 16px;
  text-decoration: none;
  color: #fff;
  transition: all 0.175s;
}

.page.password-generator .security-promo__button:hover {
  background-color: #29ccb1;
}

.page.password-generator .form__inner {
  padding: 40px 0 64px;
}

.page.password-generator .form__title span {
  color: #29ccb1;
}

.page.password-generator .form__text a {
  background-position: 100% calc(1em + 3px);
}

.page.password-generator .form__text a:hover {
  background-position: 100% calc(1em + 2px);
}

.is-light-mode .page.password-generator .form__text a {
  color: #1d1d1b;
}

.is-light-mode .page.password-generator .form__text a:hover {
  color: #29ccb1;
}

.page.password-generator .field {
  background: #29ccb133;
  border: 2px solid #29ccb1;
}

.is-light-mode .page.password-generator .field {
  background: #9dffef;
}

.page.password-generator .form.warning .field {
  background:
    linear-gradient(0deg, rgba(255, 255, 255, 0.1), rgba(255, 255, 255, 0.1)),
    linear-gradient(0deg, rgba(255, 221, 51, 0.1), rgba(255, 221, 51, 0.1));

  border: 2px solid #f3b846;
}

.page.password-generator .form.danger .field {
  background:
    linear-gradient(0deg, rgba(255, 255, 255, 0.1), rgba(255, 255, 255, 0.1)),
    linear-gradient(0deg, rgba(255, 51, 85, 0.1), rgba(255, 51, 85, 0.1));

  border: 2px solid #ff3355;
}

.page.password-generator .field__label {
  color: #ffffff66;
  font-size: 21px;
  line-height: 24px;
  font-weight: 400;
  display: flex !important;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
  max-width: 100%;
  width: 100%;
}

.page.password-generator label {
  user-select: none;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  -webkit-tap-highlight-color: transparent;
  outline: none;
}

.page.password-generator .form.has-password.processed .field__label,
.page.password-generator .form.has-password.warning .field__label,
.page.password-generator .form.has-password.danger .field__label {
  font-size: 32px;
  line-height: 36px;
  font-weight: 500;
}

.is-light-mode .page.password-generator .field__label {
  color: rgba(34, 52, 73, 0.4);
}

.is-light-mode .processed .page.password-generator .field__label {
  color: #1d1d1b;
}

.page.password-generator .form.processed .field__label {
  color: #fff;
}

.is-light-mode .page.password-generator .form.processed .field__label {
  color: #1d1d1b;
}

.is-light-mode .page.password-generator .form.warning .field__label {
  color: #1d1d1b;
}

.is-light-mode .page.password-generator .form.danger .field__label {
  color: #1d1d1b;
}

.page.password-generator .field__input {
  color: #fff;
}

.is-light-mode .page.password-generator .field__input {
  color: #1d1d1b;
}

.page.password-generator .form__input-group {
  display: flex;
  gap: 16px;
}

.page.password-generator .form__input-group .field {
  flex: 1 1 auto;
  min-width: 0;
}

.page.password-generator .form__input-group .btn {
  font-family: inherit;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 6px;
  flex-shrink: 0;
  width: 248px;
  background-color: #00a88e;
  border: none;
  border-radius: 16px;
  padding: 16px 24px;
  font-size: 21px;
  font-weight: 600;
  line-height: 24px;
  color: #fff;
  text-align: center;
  cursor: pointer;
  transition: all 0.175s;
}

.page.password-generator .form__input-group .btn {
  fill: #fff;
}

.page.password-generator .form__input-group .btn:disabled {
  background-color: rgba(255, 255, 255, 0.1);
  cursor: default;
  color: rgba(255, 255, 255, 0.2);
}

body.is-light-mode .page.password-generator .form__input-group .btn:disabled {
  color: rgba(34, 52, 73, 0.4);
  background-color: rgba(41, 77, 117, 0.09);
}

.page.password-generator .form__input-group .btn:disabled svg {
  opacity: 0.2;
}

body.is-light-mode
  .page.password-generator
  .form__input-group
  .btn:disabled
  svg {
  fill: rgba(34, 52, 73);
}

.page.password-generator .form__input-group .btn:hover:not([disabled]) {
  background-color: #29ccb1;
}

.page.password-generator .form__input-group .btn.copy-btn {
  display: none;
}

.page.password-generator .form.showCopy .form__input-group .btn.copy-btn {
  display: flex;
}

.page.password-generator .form.showCopy .form__input-group .btn.generate-btn {
  display: none;
}

.page.password-generator .rules__checkboxes {
  align-items: center;
  flex-wrap: nowrap;
  margin-right: 0;
  justify-content: initial;
  gap: 24px;
}

body:not(.is-light-mode)
  .page.password-generator
  .rules__checkbox-input:checked
  + label:before {
  background-image: url(../images/checkbox-checked.svg);
}

.page.password-generator .rules__checkbox-input:disabled {
  cursor: default;
}

.page.password-generator .rules__checkbox-input:disabled + label {
  cursor: default;
}

.page.password-generator .rules__checkbox-input + label {
  font-size: 14px;
  line-height: 16px;
  opacity: 1;
}

.page.password-generator .rules__checkbox-input + label:before {
  margin-right: 8px;
  transition: opacity 0.3s;
}

.page.password-generator .rules__checkbox label {
  cursor: pointer;
}

.page.password-generator .rules__checkbox label:hover::before {
  opacity: 0.7;
}

.is-light-mode .rules__checkbox-input + label {
  color: #1d1d1b;
}

.page.password-generator .rules__select {
  display: flex;
  align-items: center;
  gap: 12px;
  font-size: 14px;
  line-height: 16px;
  color: #fff;
}

.is-light-mode .page.password-generator .rules__select {
  color: #1d1d1b;
}

.page.password-generator .number-input-wrapper {
  position: relative;
  display: inline-block;
  width: 108px;
  /* margin-right: 24px; */
}

.page.password-generator .rules__number-input {
  width: 100%;
  height: 48px;
  padding: 8px 8px 8px 12px;
  border: 1px solid #fff;
  border-radius: 8px;
  background: transparent;
  font-size: 14px;
  line-height: 16px;
  -moz-appearance: textfield;
  color: #fff;
  font-family: inherit;
}

.is-light-mode .page.password-generator .rules__number-input {
  border: 1px solid #1d1d1b;
  background: #fff;
  color: #000;
}

.page.password-generator .rules__number-input::-webkit-outer-spin-button,
.page.password-generator .rules__number-input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

.page.password-generator .rules__number-input::-webkit-outer-spin-button svg {
  fill: #fff;
}

.is-light-mode
  .page.password-generator
  .rules__number-input::-webkit-outer-spin-button
  svg {
  fill: #1d1d1b;
}

.page.password-generator .number-input-controls {
  position: absolute;
  right: 4px;
  top: 50%;
  transform: translateY(-50%);
  display: flex;
  flex-direction: column;
  gap: 2px;
}

.page.password-generator .number-input-btn {
  width: 24px;
  height: 16px;
  border: none;
  background: transparent;
  color: white;
  cursor: pointer;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 10px;
  transition: background-color 0.2s;
}

.page.password-generator .number-input-btn svg:hover {
  opacity: 0.8;
}

.is-light-mode .page.password-generator .number-input-btn {
  background: #fff;
}

.page.password-generator .number-input-btn svg {
  fill: #fff;
  transition: opacity 0.3s;
}

.is-light-mode .page.password-generator .number-input-btn svg {
  fill: #1d1d1b;
}

.rules__button {
  margin-left: auto;
}

.rules__button .btn {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 48px;
  height: 48px;
  background: #fff;
  border: none;
  border-radius: 8px;
  cursor: pointer;
  transition: all 0.175s;
}

.rules__button .btn:disabled {
  background: #ffffff;
  opacity: 0.2;
  cursor: default;
}

.rules__button .btn svg {
  fill: #1d1d1b;
  transition: all 0.175s;
}

.is-light-mode .rules__button .btn {
  background: #00a88e;
}

.is-light-mode .rules__button .btn svg {
  fill: #fff;
}

.rules__button .btn:hover:not([disabled]) svg {
  fill: #00a88e;
}

.is-light-mode .rules__button .btn:hover:not([disabled]) svg {
  fill: #fff;
}

.is-light-mode .rules__button .btn:hover:not([disabled]) {
  background: #1b8370;
}

.is-light-mode .page.password-generator .rules__button .btn[disabled] {
  opacity: 1;
  color: rgba(34, 52, 73, 0.4);
  background-color: rgba(41, 77, 117, 0.09);
}

.is-light-mode .page.password-generator .rules__button .btn[disabled] svg {
  fill: rgba(34, 52, 73, 0.4);
}

.page.password-generator .rules__message {
  display: none;
  margin-top: 16px;
}

.page.password-generator .form.danger {
  color: #ff7d92;
}

.page.password-generator .form.warning {
  color: #ff7733;
}

.page.password-generator .form.danger .rules__message,
.page.password-generator .form.warning .rules__message {
  display: block;
}

.features__list {
  margin-bottom: 24px;
}

.page.password-generator .features__buttons {
  gap: 48px;
}

.page.password-generator .features__button {
  padding: 20px 44px;
  font-weight: 600;
}

.page.password-generator .features__button-link a {
  font-weight: 600;
}

.page.password-generator .faq {
  margin: 0 auto;
  position: relative;
  padding: 64px 0;
  z-index: 40;
  width: auto;
}

.page.password-generator .faq__item {
  background-color: #21272f;
  color: #fff;
  border-bottom: none;
  border-radius: 8px;
  padding: 24px 32px 24px 24px;
  margin-bottom: 16px;
  box-shadow: 0px 4px 40px 0px #556e6e29;
}

.page.password-generator .faq__item:last-child {
  margin-bottom: 0;
}

.page.password-generator .faq__item.faq__item_light {
  background-color: #fff;
}

.page.password-generator .faq__item strong {
  font-weight: 500;
}

.page.password-generator .faq__item a {
  color: #3de8ca;
  font-weight: 600;
  transition: color 0.3s;
}

body.is-light-mode .page.password-generator .faq__item a:hover {
  color: #29ccb1;
}

body:not(.is-light-mode) .page.password-generator .faq__item a:hover {
  color: #9dffef;
}

.is-light-mode .page.password-generator .faq__item a {
  color: #00a88e;
}

.is-light-mode .page.password-generator .faq__item a:hover {
  color: #9dffef;
}

body:not(.is-light-mod) .page.password-generator .faq__icon {
  box-shadow: 0 4px 24px 0 #23d1ae3d;
}

.rules__checkboxes-group {
  display: flex;
  flex-wrap: wrap;
  gap: 16px;
  align-items: center;
}

.page.password-generator .faq .container {
  width: 792px;
  padding: 0;
}

.page.password-generator .processed .indicator {
  background: linear-gradient(90deg, #4dff88 -84.15%, #29ccb1 133.48%);
}

.page.password-generator .warning .indicator {
  background: linear-gradient(90deg, #ffdd33 -84.15%, #ff7733 133.48%);
}

.page.password-generator .danger .indicator {
  background: linear-gradient(90deg, #ff7733 -84.15%, #ff3355 133.48%);
}

.page.password-generator .features__tile-img {
  width: 136px;
  height: 159px;
}

.rules {
  box-shadow: 0 4px 40px 0 rgba(85, 110, 110, 0.16);
}

.page.password-generator .features__list {
  flex-direction: column;
}

/* .rules__checkbox:nth-child(3) {
    width: calc(30% - 2px);
} */
.password-generator .faq__body {
  padding-left: 56px;
}

.features__tile {
  margin-bottom: -21px;
}

.features__slider-img {
  margin-bottom: 20px;
}

.swiper-slide.features__slider-slide {
  height: auto;
}

.page.password-generator .faq__item {
  padding: 24px 56px 24px 24px;
}

#generate-password {
  position: absolute;
}

#generate-password-label {
  position: static;
  height: auto;
  padding: 0;
}

.password-generator.header__lang-menu {
  left: 6%;
  transform: translateX(66%);
}

[dir='rtl'] .password-generator.header__lang-menu {
  left: 14%;
  right: initial;
}

@media screen and (min-width: 1600px) {
  .page.password-generator .form__text {
  }
}

@media screen and (min-width: 1440px) {
  .page.password-generator .form__inner {
    padding-bottom: 96px;
  }

  .features__list {
    margin-bottom: 40px;
  }
}

@media screen and (max-width: 1279px) {
  .features__slider-inner {
    padding: 27px 0 32px 24px;
  }
}

@media screen and (min-width: 1440px) {
}

@media screen and (max-width: 1279px) {
  .page.password-generator .form__inner {
    padding: 40px 0 64px;
  }

  .page.password-generator .form__input-group .btn {
    border-radius: 8px;
  }
}

@media screen and (max-width: 1278px) {
  .page.password-generator .features__buttons {
    gap: 24px;
  }

  .page.password-generator .faq .container {
    width: 792px;
    padding: 0;
  }

  .page.password-generator .features__tile-img {
    width: 102px;
    height: 120px;
  }

  .rules__checkbox {
    width: fit-content;
    flex: 0 0 calc(50% - 13px);
  }

  .page.password-generator .form__inner {
    padding: 40px 0 64px;
  }
}

@media screen and (max-width: 1100px) {
  /* .rules__checkboxes-group .rules__checkbox {
        width: 50%;
    } */
  .rules__checkboxes-group {
    max-width: 502px;
    justify-content: space-between;
  }
}

@media screen and (max-width: 960px) {
  .page.password-generator .number-input-wrapper {
    margin-right: 0;
  }

  .page.password-generator .field__label {
    color: #ffffff66;
    font-size: 21px;
    line-height: 24px;
    font-weight: 400;
    display: block !important;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    max-width: 100%;
    width: 100%;
  }

  .page.password-generator .form__text a {
    color: #fff;
    background-position: 100% calc(1em + 2px);
  }

  .page.password-generator .rules__checkboxes {
    align-items: flex-start;
  }

  .rules__checkboxes-group {
    display: flex;
    /* grid-template-columns: repeat(2, 1fr); */
    gap: 12px 24px;
    max-width: 383px;
    justify-content: space-between;
  }

  .rules__checkboxes {
    display: flex;
    align-items: center;
    gap: 82px;
    flex-wrap: nowrap;
  }

  .rules__select,
  .rules__button {
    flex-shrink: 0;
  }

  /* .rules__checkboxes-group {
        flex: 1;
        justify-content: center;
    } */

  .page.password-generator .features__buttons {
    gap: 16px;
  }
}

@media screen and (max-width: 959px) {
  .page.password-generator .form__input-group {
    flex-direction: column;
  }

  .features__slider-inner {
    padding: 40px 0 40px 16px;
  }

  .features__slider-text {
    width: 76%;
  }

  .page.password-generator .form__input-group .btn {
    width: auto;
    border-radius: 8px;
  }

  .page.password-generator .features__buttons {
    gap: 16px;
  }

  .page.password-generator .swiper-slide.features__slider-slide {
    height: auto;
  }

  .page.password-generator .features__inner {
    flex-direction: row;
  }

  .page.password-generator .features__slider {
    width: 50%;
    padding: 16px;
  }

  .page.password-generator .features__list-item {
    width: auto;
  }

  .header__content {
    align-items: center;
  }
}

@media screen and (max-width: 880px) {
  .rules__checkboxes {
    gap: 0;
  }

  .header__left {
    flex-direction: column;
    align-items: flex-start;
  }
}

@media screen and (max-width: 788px) {
  .rules__checkboxes {
    gap: 4%;
  }
}

@media screen and (max-width: 768px) {
  .rules__checkbox {
    flex: 0 0 calc(50% - 13px);
  }

  .page.password-generator .security-promo {
    margin-bottom: 24px;
  }

  .page.password-generator .security-promo__button {
    white-space: nowrap;
  }

  .page.password-generator .rules__checkboxes {
    flex-direction: column;
    align-items: stretch;
    gap: 16px;
    position: relative;
  }

  .page.password-generator .rules__checkboxes-group {
    max-width: 100%;
    width: 100%;
    order: 1;
  }

  .page.password-generator .rules__select {
    order: 2;
    display: flex;
    align-items: center;
    width: auto;
    flex: 1;
  }

  .page.password-generator .rules__button {
    order: 3;
    margin-left: 0;
    position: absolute;
    bottom: 0;
    right: 0;
  }

  .page.password-generator .rules__select-row {
    display: flex;
    align-items: center;
    gap: 16px;
    width: 100%;
    order: 2;
  }

  .page.password-generator .number-input-wrapper {
    margin-right: 0;
    flex-shrink: 0;
  }

  .page.password-generator .field__label {
    font-size: 18px;
    line-height: 21px;
    padding: 16px 21px;
  }

  .page.password-generator .form.has-password.processed .field__label,
  .page.password-generator .form.has-password.warning .field__label,
  .page.password-generator .form.has-password.danger .field__label {
    font-size: 28px;
    line-height: 32px;
  }

  .page.password-generator .faq .container {
    width: auto;
    padding-left: 54px;
    padding-right: 54px;
  }

  .page.password-generator .features__inner {
    flex-direction: column;
  }

  .page.password-generator .features__slider {
    width: 100%;
  }

  .page.password-generator .features__list {
    flex-wrap: wrap;
    flex-direction: column;
  }

  .page.password-generator .features__list-item {
    flex: 0 0 calc(50% - 10px);
  }
}

@media screen and (max-width: 690px) {
  .rules__checkboxes {
    gap: 1%;
  }
}

@media screen and (max-width: 640px) {
  .features__list {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 16px;
  }

  .page.password-generator .faq .container {
    padding-bottom: 0;
    padding-top: 0;
  }
}

@media screen and (max-width: 580px) {
  .rules__checkbox {
    flex: 0 1 auto;
  }

  .header__logo {
    width: 100px;
    height: 22px;
  }

  .header__link-checker {
    font-size: 22px;
    line-height: 22px !important;
  }
}

@media screen and (max-width: 525px) {
  .page.password-generator .faq .container {
    width: auto;
    padding: 0 16px;
  }

  .header__links {
    justify-content: space-between !important;
  }

  .header__content {
    flex-direction: column;
  }

  .header__left {
    margin-top: 0;
    order: 1;
    margin-bottom: 8px;
  }

  .header__content {
    align-items: start;
  }

}

@media screen and (max-width: 360px) {
  .page.password-generator .security-promo__inner {
    display: grid;
    grid-template-columns: 1fr auto;
    gap: 8px;
    align-items: center;
    position: relative;
    padding: 12px;
  }

  .container {
    padding: 0;
  }

  .features__tile {
    padding-left: 32px;
    padding-right: 32px;
  }

  .features__slider {
    background: rgba(21, 46, 43, 0.1);
    backdrop-filter: blur(32px);
  }

  .features__slider-inner {
    padding: 16px 0px 10px 0px;
  }

  .page.password-generator .security-promo__icon {
    width: 48px;
    position: absolute;
    top: 12px;
    left: 12px;
  }

  .page.password-generator .security-promo__title {
    color: #fff;
    margin-left: 60px;
    width: 70%;
  }

  .page.password-generator .security-promo__description {
    grid-column: 1;
  }

  .page.password-generator .security-promo__button {
    grid-column: 2;
    grid-row: 1 / span 2;
    margin-left: 0;
    align-self: center;
    height: fit-content;
    white-space: wrap;
  }

  .page.password-generator .field__label {
    font-size: 14px;
    line-height: 16px;
  }

  .page.password-generator .field__label {
    font-size: 14px;
    line-height: 16px;
    padding: 16px 24px;
  }

  .page.password-generator .rules__checkboxes {
    flex-direction: column;
    gap: 16px;
  }

  .page.password-generator .rules__checkboxes-group {
    order: 2;
    display: flex;
    flex-direction: column;
    gap: 12px;
    width: 100%;
    align-items: flex-start;
  }

  .page.password-generator .rules__select {
    order: 1;
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 79%;
    margin-bottom: 0;
  }

  .page.password-generator .rules__button {
    order: 1;
    position: absolute;
    right: 0;
    top: 0;
  }

  .page.password-generator .number-input-wrapper {
    margin-right: 0;
  }

  .page.password-generator .features__list {
    flex-direction: column;
  }

  .page.password-generator .faq__item {
    padding: 16px;
  }

  .faq__header {
    gap: 16px;
  }

  .password-generator .faq__body {
    padding-left: 24px;
  }

  .page.password-generator .faq {
    padding: 24px 0;
  }

  .features__list {
    display: flex;
    flex-direction: column;
    gap: 16px;
  }

  .page.password-generator .faq {
    padding: 40px 0;
  }
}

@media (min-width: 347px) and (max-width: 360px) {
  .page.password-generator .security-promo__description {
    margin-top: 0;
  }
}

@media screen and (max-width: 345px) {
  .page.password-generator .field__label {
    padding: 16px;
  }
}

/* Подсветка */
.shadow-top-left {
  left: 13%;
  top: -282px;
  width: 1286px !important;
  height: 649px !important;
}

body.is-light-mode .shadow-top-left {
  left: -25%;
}

.shadow-top-right {
  width: 1569px;
  height: 462px;
  position: absolute;
  top: -140px;
  left: calc(50% - 310px);
  background-image: url(../wp-content/themes/passchck/images/shadow-top-right-xl.png);
  background-size: contain;
  background-position: center center;
  background-repeat: no-repeat;
  z-index: -10;
}

body.is-light-mode .shadow-top-right {
  left: calc(50% - 400px);
}

.shadow-features-top {
  top: -40%;
  left: 38%;
  width: 651px !important;
  height: 465px !important;
  background-image: url(../wp-content/themes/passchck/images/shadow-features-top.png);
  transform: rotate(-15.8deg);
}

.shadow-features-bottom {
  width: 100%;
  height: 931px;
  bottom: -330px;
  left: 13%;
  top: 10%;
}

.shadow-faq-center {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);

  width: 130%;
  height: 130%;

  background-image: url(../wp-content/themes/passchck/images/shadow-faq-center.png);
  background-repeat: no-repeat;
  background-position: center center;
  background-size: contain;

  pointer-events: none;
  z-index: -1;

  opacity: 0;
  transition: opacity 0.3s ease;
}

.shadow-faq-center.active {
  opacity: 1;
}

.shadow-features-bottom {
  width: 100%;
  height: 931px;
  bottom: -330px;
  left: 30%;
  top: 10%;
}

.shadow-bottom-left {
  left: -340px;
  height: 650px;
  bottom: 80px;
  background-image: url(..//wp-content/themes/passchck/images/shadow-footer-left.png);
}

.shadow-faq-top {
  position: absolute;
  top: -100px;
  left: 50%;
  transform: translateX(-50%);
  width: 1200px;
  height: 600px;
  background-image: url(../images/shadow-faq-top.png);
  background-size: contain;
  background-position: center;
  background-repeat: no-repeat;
  z-index: -1;
  pointer-events: none;
}

.shadow-faq-top {
  display: none;
  position: absolute;
  top: -197px;
  right: 90px;
  width: 1200px;
  height: 600px;
  background-image: url(../wp-content/themes/passchck/images/shadow-features-bottom-laptop.png);
  background-size: contain;
  background-position: top right;
  background-repeat: no-repeat;
  z-index: -1;
  pointer-events: none;
}

@media (max-width: 1280px) {
  .shadow-features-bottom {
    width: 55%;
    height: 931px;
    bottom: -330px;
    left: 79%;
    transform: translateX(-50%);
    position: absolute;
  }
}

@media (max-width: 959px) {
  .shadow-features-bottom {
    background-image: url(../wp-content/themes/passchck/images/shadow-features-bottom-laptop.png);
    width: 608px;
    height: 992px;
    left: 79%;
    right: 0;
  }

  .shadow-bottom-left {
    display: block;
    left: -521px;
    height: 459px;
  }
}

@media screen and (max-width: 640px) {
  .shadow-faq-top {
    display: block;
    width: 598px;
    height: 518px;
  }

  .shadow-features-bottom {
    display: none;
  }

  .features__bg {
    z-index: 40;
  }

  .page.password-generator .form__inner {
    padding: 0 0 64px;
  }

  .header__left {
    display: block !important;
  }

  .header__logo {
    width: 115px;
    height: 30px;
  }

  .header__link-checker {
    line-height: 18px !important;
  }
  .form__title {
    text-align: start;
  }
}

@media (max-width: 615px) {
  .shadow-top-left {
    left: 13%;
    top: -282px;
    width: 900px !important;
    height: 631px !important;
  }

  .shadow-top-right {
    top: -150px;
  }

  .shadow-top-right {
    left: auto;
  }
}
